/* f77call.h -- sets the macro for calling Fortran functions */
/* Copyright c1996 Andrew Veliath */

#ifndef __F77CALL_H
#define __F77CALL_H

#include "config.h"

#ifdef _F77CALL
#undef _F77CALL
#endif
#ifdef CF77_UNCHANGED
#define _F77CALL(f) f
#endif
#ifdef CF77_PREFIX_
#define _F77CALL(f) _##f
#endif
#ifdef CF77_SUFFIX_
#define _F77CALL(f) f##_
#endif

#endif /* __F77CALL_H */
