
#ifndef __FFTS_H
#define __FFTS_H

#include "ftypes.h"
#include "../f77call.h"

extern "C" {
  int _F77CALL(rffti)(integer *n, real *wsave);
  int _F77CALL(rfftf)(integer *n, real *r, real *wsave);
}

/*******************************************************************/
// Fortran FFT macros
#define INITFFT(n,w) _F77CALL(rffti)((n),(w))
#define FORWARDFFT(n,a,w) _F77CALL(rfftf)((n),(a),(w))
#define WORKDIMSIZE(a) (2*(a)+15)
/*******************************************************************/  

#endif /* __FFTS_H */
