/**************************************************************************

    gconfig.C

    Copyright (C) 1996 Andrew Veliath

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


***************************************************************************/

/* $Id: gconfig.C,v 1.3 1996/02/17 06:59:39 drewvel Exp $ */

/*******************************************************************/
#include <string.h>

#include "gconfig.h"
#include "color.h"


/*******************************************************************/
bool
ColorOption::operator == (const ColorOption& o) const
{
  return r==o.r && g==o.g && b==o.b;
}


/*******************************************************************/
bool
ColorOption::operator != (const ColorOption& o) const
{
  return !(*this==o);
}


/*******************************************************************/
ColorOption&
ColorOption::operator = (const ColorOption& o)
{
  r=o.r; g=o.g; b=o.b;
  strcpy(name, o.name);
  return *this;
}


/*******************************************************************/
ColorOption& 
ColorOption::operator = (const TColor& o)
{ 
  r=o.r; g=o.g; b=o.b; 
  return *this; 
}

/*******************************************************************/
