/**************************************************************************

    common.h

    Copyright (C) 1996 Andrew Veliath

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


***************************************************************************/

/* $Id: common.h,v 0.4 1996/02/08 05:57:56 drewvel Exp $ */

#ifndef __COMMON_H
#define __COMMON_H
/*******************************************************************/

#include <assert.h>
#include "config.h" // Autoconf generated header

#ifdef _DEBUG
#undef _DEBUG
#include <ostream.h>
#define DEBUG(a) { cout << "debug: " << a << endl; }
#define DEBUGN(a) { cout << a; }
#define DEBUGNLF(a) { cout << "debug: " << a; }
#else
#define DEBUG(a) { }
#define DEBUGN(a) { }
#define DEBUGNLF(a) { }
#endif


/*******************************************************************/
#endif /* __COMMON_H */
