/**************************************************************************

    defaults.C

    Copyright (C) 1996 Andrew Veliath

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


***************************************************************************/

// $Id: defaults.C,v 0.6 1996/02/17 06:59:39 drewvel Exp $             

/*******************************************************************/
#include "defvals.h"
#include "gconfig.h"
#include "analyzer.h"

/*******************************************************************/
globalConfig 
defaultConfig =
{
  {"/dev/dsp", "-device"},

  {22528, "-rate"},
  {1024,  "-size"},
  {0, "-vpos"},  
  {DEFAULT_METHOD, "-method"},
  {D_INT_LOW, "-low"},
  {D_INT_HIGH, "-high"},
  {D_INT_RANGEINC, "-rangei"},
  {160, "-bands"},
  {10, "-segwidth"}, 
  {2, "-segheight"}, 
  {2, "-segspace"},
  {35, "-medsegp"},
  {75, "-hisegp"},  

  {0, "-ofs8"},
  {0, "-ofs16"},

  {1, "-atten"}, 
  {.075, "-avgamt"},

  {0xff, 0xee, 0xcc, "-fg"}, 
  {0x50, 0x50, 0x50, "-bg"},
  {   0,    0,    0, "-graphbg"},
  {0xbb, 0xaa, 0x88, "-labelc"},
  {0xcc, 0xaa, 0x99, "-axesc"},
  {0x77, 0xff, 0xcc, "-linec"},
  {0x77, 0xff, 0xcc, "-lowsegc"},
  {0xbb, 0xff, 0x88, "-medsegc"},  
  {0xff, 0x55, 0x44, "-hisegc"},
  {0xaa, 0x77, 0x66, "-peakc"},

  {false, "-run"},
  {false, "-8bit"},
  {true, "-avg"},
  {true, "-logamp"},
  {true, "-logfreq"},
  {false, "-maxbands"},
  {false, "-notext"}
};


/*******************************************************************/
