/**************************************************************************

    dmstatus.h 

    Copyright (C) 1996 Andrew Veliath

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


***************************************************************************/

/* $Id: dmstatus.h,v 1.2 1996/02/08 05:57:56 drewvel Exp $ */

#ifndef __DMSTATUS
#define __DMSTATUS
/*******************************************************************/

#include <string>
#include <vector>

#include "display.h"

class TDMStatus { // T{DisplayMethod}Status
private:
  vector<string> ds, ms;

public:
  TDMStatus(const TDisplay&);
  const vector<string>& DisplayStats() const { return ds; }
  const vector<string>& MethodStats() const { return ms; }
};

/*******************************************************************/
#endif /* __DMSTATUS */
