/**************************************************************************

    line_method.h             

    Copyright (C) 1995-96 Andrew Veliath

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


***************************************************************************/

/* $Id: line_method.h,v 0.2 1996/02/08 05:57:38 drewvel Exp $ */

#ifndef __LINE_METHOD_H
#define __LINE_METHOD_H

/*******************************************************************/
#include "../method_2d.h"


/*******************************************************************/
class TLine_Method:public TMethod_2D {

protected:    
  TBuffer<short> save_data;

  void OnResizeMethod();
  bool OnStartMethod();
  void OnUpdate();

  int QueryFrequencyFromPoint(int, int);
  int QueryAmplitudeFromPoint(int, int);

public:
  TLine_Method();
};


/*******************************************************************/
#endif /* __LINE_METHOD_H */
